# studio::HistoryTreeStore Class Reference

`#include <historytreestore.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_undo_tree_changed ()
| HistoryTreeStore (etl::loose_handle< studio::Instance > instance_)
| ~HistoryTreeStore ()
etl::loose_handle < studio::Instance > | instance ()
etl::loose_handle< const studio::Instance > | instance () const
void | rebuild ()
void | refresh ()
void | insert_action (Gtk::TreeRow row, etl::handle< synfigapp::Action::Undoable > action, bool is_active=true, bool is_undo=true, bool is_redo=false)

## Static Public Member Functions

static bool | search_func (const Glib::RefPtr< TreeModel > &, int, const Glib::ustring &, const TreeModel::iterator &)
static Glib::RefPtr < HistoryTreeStore > | create (etl::loose_handle< studio::Instance > instance)

## Public Attributes

const Model | model

## Classes

class | Model

## Constructor & Destructor Documentation

HistoryTreeStore::HistoryTreeStore | ( | etl::loose_handle< studio::Instance > | instance_ | ) |

Referenced by create().

HistoryTreeStore::~HistoryTreeStore | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::HistoryTreeStore::signal_undo_tree_changed | ( |  | ) | `[inline]`

Referenced by rebuild().

etl::loose_handle<studio::Instance> studio::HistoryTreeStore::instance | ( |  | ) | `[inline]`

Referenced by rebuild().

etl::loose_handle<const studio::Instance> studio::HistoryTreeStore::instance | ( |  | ) | const`[inline]`

void HistoryTreeStore::rebuild | ( |  | ) |

References insert_action(), instance(), and signal_undo_tree_changed().

Referenced by refresh().

void studio::HistoryTreeStore::refresh | ( |  | ) | `[inline]`

References rebuild().

void HistoryTreeStore::insert_action | ( | Gtk::TreeRow | row,
|  | etl::handle< synfigapp::Action::Undoable > | action,
|  | bool | is_active = `true`,
|  | bool | is_undo = `true`,
|  | bool | is_redo = `false` |
| ) |  |  |

References studio::HistoryTreeStore::Model::action, studio::HistoryTreeStore::Model::canvas, studio::HistoryTreeStore::Model::canvas_id, synfigapp::Action::CanvasSpecific::get_canvas(), studio::HistoryTreeStore::Model::is_active, studio::HistoryTreeStore::Model::is_redo, studio::HistoryTreeStore::Model::is_undo, model, and studio::HistoryTreeStore::Model::name.

Referenced by rebuild().

static bool studio::HistoryTreeStore::search_func | ( | const Glib::RefPtr< TreeModel > & | ,
|  | int | ,
|  | const Glib::ustring & | ,
|  | const TreeModel::iterator & |  |
| ) |  |  | `[static]`

Glib::RefPtr< HistoryTreeStore > HistoryTreeStore::create | ( | etl::loose_handle< studio::Instance > | instance | ) | `[static]`

References HistoryTreeStore().

## Member Data Documentation

const Model studio::HistoryTreeStore::model

Referenced by insert_action().

The documentation for this class was generated from the following files:

- historytreestore.h
- historytreestore.cpp